Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.card
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.card	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.card	(revision 1337)
@@ -0,0 +1,50 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+#-- Number of time step per day for GYRE configuration (default = 12)
+GYRE_NPDT_JOURS=12
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist, namelist)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart.nc,  restart.nc, restart.nc)
+
+[OutputText]
+List=   (ocean.output, solver.stat)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_1M_grid_T), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, NONE), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, NONE), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, NONE), \
+        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE), \
+        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+
+[Post_1M_grid_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sosstsst)
+
+[Post_1M_grid_U]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
+TimeSeriesVars = (sozotaux)
+
+[Post_1M_grid_V]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
+TimeSeriesVars = (sometauy)
+
+[Post_1M_grid_W]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
+TimeSeriesVars =
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.driver
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.driver	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/gyre.driver	(revision 1337)
@@ -0,0 +1,285 @@
+#!/bin/ksh
+#-----------------------------------------------------------------
+function OCE_Initialize
+{
+    IGCM_debug_PushStack "OCE_Initialize"
+
+    JOB_NAME=${config_UserChoices_JobName}
+
+    ORCA_NPDT_JOUR=${gyre_UserChoices_GYRE_NPDT_JOURS:=12}
+
+    # Attention : ORCA_RDT must be an integer
+    (( ORCA_RDT = 60 * 60 * 24 / ${ORCA_NPDT_JOUR} ))
+
+    ##--Variables used by OPA --
+
+    # cexper experience name
+    # ln_rstart boolean term for restart (true or false)
+    # nrstdt control of the time step (0, 1 or 2)
+    # nit000 number of the first time step
+    # nitend number of the last time step
+    # ndate0 initial calendar date aammjj (used if nrstdt=1)
+    # nleapy Leap year calendar (1) or not (0), or 360 days calendar (30)
+    # nstock frequency of creation of a restart file
+    # nwrite frequency of write in the output file
+    # nmsh  =1 create a mesh file (coordinates, scale factors, masks) not in parallel
+    # rdt time step in seconds (coming from gyre.card)
+    # ntrd time step frequency of write in the trends file for dynamics
+    # ln_trdmld_restart boolean term for trends restart (true or false)
+
+    ##--Variables used by TOP --
+
+    # nwritetrc frequency of write in the tracer output file
+    # lrsttr   boolean term for tracer model restart (true or false)
+    # nrsttr control of the time step (0, 1 or 2)
+    # ntrd_trc time step frequency of write in the trends file for tracers
+    # ln_trdmld_trc_restart boolean term for trc trends restart (true or false)
+
+    ##--Variables used by LOBSTER --
+
+    # nwritedia frequency of write in the additional diag output file
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+
+    PAT_CEXPER=$( supergrep cexper    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NIT000=$( supergrep nit000    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NITEND=$( supergrep nitend    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NWRITE=$( supergrep nwrite    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_RDT=   $( supergrep rdt       ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NTRD=  $( supergrep ntrd      ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_RESTAR=$( supergrep ln_rstart ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NSTOCK=$( supergrep nstock    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NRSTAR=$( supergrep nrstdt    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NDATE0=$( supergrep ndate0    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NLEAPY=$( supergrep nleapy    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NMSH=  $( supergrep nmsh      ${SUBMIT_DIR}/PARAM/namelist ) 
+    PAT_RSTRTTRD=$( supergrep ln_trdmld_restart ${SUBMIT_DIR}/PARAM/namelist )
+
+    PAT_TOP_NWRITETRC=$( supergrep nwritetrc             ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_NWRITETRD=$( supergrep ntrd_trc              ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_LRSTTR=   $( supergrep lrsttr                ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_NRSTTR=   $( supergrep nrsttr                ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_RSTRTTRD= $( supergrep ln_trdmld_trc_restart ${SUBMIT_DIR}/PARAM/namelist_top )
+
+    PAT_LOB_NWRITEDIA=$( supergrep nwritedia         ${SUBMIT_DIR}/PARAM/namelist_lobster )
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # /!\ Needed by OPA namelist to compute file names /!\
+    (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
+
+    IGCM_debug_PopStack "OCE_Initialize"
+}
+
+#-----------------------------------------------------------------
+function OCE_Update
+{
+###    set -vx
+    IGCM_debug_PushStack "OCE_Update"
+
+    NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
+
+    ##--Write Frequency Purpose ....
+    frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $1}' )
+    factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+    case ${frequency} in
+	1Y|1y)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}y ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_Y} ;
+	    R_OUT_TOP_NWRITE=${R_OUT_TOP_O_Y} ;
+	    R_OUT_TRENDS_NWRITE=${R_OUT_TRENDS_O_Y} ;
+	    WF1=${factor}Y ;;
+	1M|1m)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInMonth ${year} ${month} ) )) ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}m ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_M} ;
+	    R_OUT_TOP_NWRITE=${R_OUT_TOP_O_M} ;
+	    R_OUT_TRENDS_NWRITE=${R_OUT_TRENDS_O_M} ;
+	    WF1=${factor}M ;;
+	*D|*d)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor  ))  ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}d ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_D} ;
+	    R_OUT_TOP_NWRITE=${R_OUT_TOP_O_D} ;
+	    R_OUT_TRENDS_NWRITE=${R_OUT_TRENDS_O_D} ;
+	    WF1=${factor}D ;;
+	*)
+	    (( ORCA_NWRITE = 0 ))                                                            ;;
+    esac
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ##-- Calcul du numero de pas de temps de debut de job ORCA
+    (( ORCA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * ORCA_NPDT_JOUR + 1 ))
+    (( ORCA_NPDT   = PeriodLengthInDays * ORCA_NPDT_JOUR ))
+    (( ORCA_NITEND = ORCA_NIT000 + ORCA_NPDT - 1))
+
+    ## On force 1 restart par simulation à la fin
+    ORCA_NSTOCK="${ORCA_NITEND}"
+
+    ##-- verification du nb de pas de temps par jour
+    (( NB_SEC_JOUR_MODEL = ORCA_NPDT_JOUR * ORCA_RDT ))
+    (( NB_SEC_JOUR = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_JOUR_MODEL} -ne ${NB_SEC_JOUR} ]
+	then
+        echo " VERIFIER ORCA_NPDT_JOUR dans gyre.card "
+        exit
+    fi
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] )
+        
+    then
+
+        if ( [ "${config_OCE_Restart}" = "n" ] )
+
+        then
+
+        #echo "PAS DE RESTART OPA"
+	ORCA_LRSTAR=.FALSE.
+	ORCA_NRSTDT=0
+        #echo pas de meshmask en parallele
+	ORCA_NMSH=1
+	( [ X${BATCH_NUM_PROC_TOT} != X ] && [ "${BATCH_NUM_PROC_TOT}" -gt 1 ] ) && ORCA_NMSH=0
+
+        else 
+
+        #    "${config_OCE_Restart}" = "y" 
+
+        #echo "RESTART OPA" et pas de verif pour cumulperiod=1
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=0
+	ORCA_NMSH=0
+        fi
+
+        if ( [ "${config_TOP_Restart}" = "n" ] )
+
+        then
+
+        #echo "PAS DE RESTART TOP"
+        TOP_LRSTTR=.FALSE.
+        TOP_NRSTTR=0
+
+        else 
+
+        #    "${config_TOP_Restart}" = "y" 
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=0
+
+        fi
+
+        if ( [ "${config_TRENDS_Restart}" = "n" ] )
+
+        then
+
+        #echo "PAS DE RESTART TRENDS"
+        TRENDS_LRSTTR=.FALSE.
+
+        else
+
+        #    "${config_TRENDS_Restart}" = "y" 
+
+        #echo "RESTART TRENDS"
+        TRENDS_LRSTTR=.TRUE.
+
+        fi
+
+    else
+
+        #echo "RESTART OPA"
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=2
+	ORCA_NMSH=0
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=2
+
+        #echo "RESTART TRENDS"
+        TRENDS_LRSTTR=.TRUE.
+
+    fi
+
+       # nleapy configuration
+       case ${config_UserChoices_CalendarType} in
+                leap)
+                ORCA_NLEAPY=1;;
+                noleap)
+                ORCA_NLEAPY=0;;
+                360d)
+                ORCA_NLEAPY=30;;
+                *)
+                ORCA_NLEAPY=30
+        esac
+
+        typeset -r PRECIS=8
+	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${ORCA_NITEND} }" ) ) 
+
+    sed -e "s%${PAT_CEXPER}%       cexper=\"${config_UserChoices_JobName}\"%" \
+	-e "s%${PAT_NIT000}%       nit000=${ORCA_NIT000}%"                    \
+	-e "s%${PAT_NITEND}%       nitend=${ORCA_NITEND}%"                    \
+	-e "s%${PAT_NWRITE}%       nwrite=${ORCA_NWRITE}%"                    \
+	-e "s%${PAT_NTRD}%         ntrd=${ORCA_NWRITE}%"                      \
+	-e "s%${PAT_RESTAR}%       ln_rstart=${ORCA_LRSTAR}%"                 \
+	-e "s%${PAT_RDT}%          rdt=${ORCA_RDT}%"                          \
+	-e "s%${PAT_NSTOCK}%       nstock=${ORCA_NSTOCK}%"                    \
+	-e "s%${PAT_NRSTAR}%       nrstdt=${ORCA_NRSTDT}%"                    \
+	-e "s%${PAT_NDATE0}%       ndate0=${PeriodDateBegin}%"                \
+	-e "s%${PAT_NLEAPY}%       nleapy=${ORCA_NLEAPY}%"                    \
+	-e "s%${PAT_NMSH}%         nmsh=${ORCA_NMSH}%"                        \
+        -e "s%${PAT_RSTRTTRD}%     ln_trdmld_restart=${TRENDS_LRSTTR}%"       \
+	namelist > namelist.tmp
+
+    IGCM_sys_Mv namelist.tmp namelist
+
+# on force les sorties TOP comme les sorties OPA
+
+    sed -e "s%${PAT_TOP_NWRITETRC}%       nwritetrc=${ORCA_NWRITE}%"               \
+        -e "s%${PAT_TOP_NWRITETRD}%       ntrd_trc=${ORCA_NWRITE}%"                \
+        -e "s%${PAT_TOP_LRSTTR}%          lrsttr=${TOP_LRSTTR}%"                   \
+        -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
+        -e "s%${PAT_TOP_RSTRTTRD}%        ln_trdmld_trc_restart=${TRENDS_LRSTTR}%" \
+        namelist_top > namelist_top.tmp
+
+    IGCM_sys_Mv namelist_top.tmp namelist_top
+
+# on force les sorties LOBSTER comme les sorties OPA
+
+    sed -e "s%${PAT_LOB_NWRITEDIA}%       nwritedia=${ORCA_NWRITE}%"              \
+        namelist_lobster > namelist_lobster.tmp
+
+    IGCM_sys_Mv namelist_lobster.tmp namelist_lobster
+
+    echo 'Variables automatically updated in namelists'
+    grep AUTO namelist*
+
+    IGCM_debug_PopStack "OCE_Update"
+}
+
+#-----------------------------------
+function OCE_Finalize
+{
+    IGCM_debug_PushStack "OCE_Finalize"
+
+    if [ -f date.file ] ; then
+        # Prefix use in gyre.card AND in lobster.card :
+	DATE_OPA=$( cat date.file | \
+	    sed "s/\ ${config_UserChoices_JobName}_[0-9]*[a-z]_\([0-9]*_[0-9]*\)_.*\ */\1/g" )
+	MainPrefix=${config_UserChoices_JobName}_1d_${DATE_OPA}
+	SecondPrefix=${config_UserChoices_JobName}_5d_${DATE_OPA}
+    fi
+
+    echo FINALIZE OCE !!!
+
+    IGCM_debug_PopStack "OCE_Finalize"
+}
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.card
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.card	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.card	(revision 1337)
@@ -0,0 +1,32 @@
+
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_top, .), \
+        (${SUBMIT_DIR}/PARAM/namelist_lobster,    .)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_ptrc_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WF1}_ptrc_T.nc, Post_1M_ptrc_T), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_diad_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WF1}_diad_T.nc, NONE)
+
+[Post_1M_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (NO3)
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.driver
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.driver	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/lobster.driver	(revision 1337)
@@ -0,0 +1,32 @@
+#!/bin/ksh
+
+#-----------------------------------
+function TOP_Initialize
+{ 
+    IGCM_debug_PushStack "TOP_Initialize"
+
+    echo INITIALIZE TOP !!!
+
+    IGCM_debug_PopStack "TOP_Initialize"
+}
+
+#-----------------------------------
+function TOP_Update
+{
+    IGCM_debug_PushStack "TOP_Update"
+
+    echo UPDATE TOP !!!
+
+    IGCM_debug_PopStack "TOP_Update"
+}
+
+#-----------------------------------
+function TOP_Finalize
+{
+    IGCM_debug_PushStack "TOP_Finalize"
+
+    echo FINALIZE TOP !!!
+
+    IGCM_debug_PopStack "TOP_Finalize"
+}
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.card
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.card	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.card	(revision 1337)
@@ -0,0 +1,37 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[ParametersFiles]
+List=()
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_mld.nc,      restart_mld.nc,     restart_mld.nc),    \
+        (${config_UserChoices_JobName}_${NEMO_END}_restart_mld_trc.nc,  restart_mld_trc.nc, restart_mld_trc.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_trdbio.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_trdbio.nc, NONE), \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_DET.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_DET.nc, NONE) , \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_ZOO.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_ZOO.nc, NONE) , \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_PHY.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_PHY.nc, NONE) , \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_NO3.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_NO3.nc, NONE) , \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_NH4.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_NH4.nc, NONE) , \
+        (${PREFIX_NWRITE}_${DATE_OPA}_ML_DOM.nc, ${R_OUT_TRENDS_NWRITE}/${PREFIX}_${WF1}_ML_DOM.nc, NONE) 
+
+[Post_1Y_trdbio]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = ()
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.driver
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.driver	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/COMP/trends.driver	(revision 1337)
@@ -0,0 +1,32 @@
+#!/bin/ksh
+
+#-----------------------------------
+function TRENDS_Initialize
+{ 
+    IGCM_debug_PushStack "TRENDS_Initialize"
+
+    echo INITIALIZE TRENDS !!!
+
+    IGCM_debug_PopStack "TRENDS_Initialize"
+}
+
+#-----------------------------------
+function TRENDS_Update
+{
+    IGCM_debug_PushStack "TRENDS_Update"
+
+    echo UPDATE TRENDS !!!
+
+    IGCM_debug_PopStack "TRENDS_Update"
+}
+
+#-----------------------------------
+function TRENDS_Finalize
+{
+    IGCM_debug_PushStack "TRENDS_Finalize"
+
+    echo FINALIZE TRENDS !!!
+
+    IGCM_debug_PopStack "TRENDS_Finalize"
+}
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist	(revision 1337)
@@ -0,0 +1,666 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  :  1 - run manager      (namrun)
+!! namelists    2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
+!!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
+!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
+!!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, namtide)
+!!              5 - bottom  boundary (nambfr, nambbc, nambbl)
+!!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
+!!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
+!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
+!!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
+!!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
+
+!!======================================================================
+!!                   ***  Run management namelists  ***
+!!======================================================================
+!!   namrun            parameters of the run
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   no          =       0   !  job number
+   cexper      =  "GYRE"   !  AUTO - experience name 
+   cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
+   cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
+   ln_rstart   = .false.   !  AUTO - start from rest (F) or from a restart file (T)
+   nrstdt      =       0   !  AUTO - restart control = 0 nit000 is not compared to the restart file value
+                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                           !                  = 2 calendar parameters read in the restart file
+   nit000      =       1   !  AUTO - first time step
+   nitend      =    4320   !  AUTO - last  time step
+   ndate0      =  010101   !  AUTO - initial calendar date yymmdd (used if nrstdt=1)
+   nleapy      =      30   !  AUTO - Leap year calendar (1) or not (0) or 360d calendar (30)
+   ninist      =       0   !  output the initial state (1) or not (0)
+   nstock      =    4320   !  AUTO - frequency of creation of a restart file (modulo referenced to 1)
+   nwrite      =     360   !  AUTO - frequency of write in the output file   (modulo referenced to nit000)
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+   ln_mskland  = .true.    !  mask land points in NetCDF outputs (costly: + ~15%)
+/
+!!======================================================================
+!!                      ***  Domain namelists  ***
+!!======================================================================
+!!   nam_zgr       vertical coordinate
+!!   nam_zgr_sco   s-coordinate or hybrid z-s-coordinate
+!!   namdom        space and time domain (bathymetry, mesh, timestep)
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nam_zgr       !   vertical coordinate
+!-----------------------------------------------------------------------
+   ln_zco      = .true.    !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .false.   !  z-coordinate - partial steps   (T/F)
+   ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
+/
+!-----------------------------------------------------------------------
+&nam_zgr_sco   !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   theta       =    6.0    !  surface control parameter (0<=theta<=20)
+   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   ntopo       =    0      !  compute (=0) or read(=1) the bathymetry file
+   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
+   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nmsh        =    0      !  AUTO - create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
+                           !  =0, no acceleration, rdt = rdttra
+   atfp        =    0.1    !  asselin time filter parameter
+   rdt         = 7200.     !  AUTO - time step for the dynamics (and tracer if nacc=0)
+   rdtmin      = 7200.     !  minimum time step on tracers (used if nacc=1)
+   rdtmax      = 7200.     !  maximum time step on tracers (used if nacc=1)
+   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+   nn_baro     =   60      !  number of barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   nclosea     =    0      !  = 0 no closed sea in the model domain
+                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+/
+!!======================================================================
+!!            ***  Surface Boundary Condition namelists  ***
+!!======================================================================
+!!   namsbc        surface boundary condition
+!!   namsbc_ana    analytical         formulation
+!!   namsbc_flx    flux               formulation
+!!   namsbc_clio   CLIO bulk formulea formulation
+!!   namsbc_core   CORE bulk formulea formulation
+!!   namsbc_cpl    CouPLed            formulation                       ("key_coupled")
+!!   namqsr        penetrative solar radiation
+!!   namsbc_rnf    river runoffs
+!!   namsbc_ssr    sea surface restoring term (for T and/or S)
+!!   namalb        albedo parameters
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     = 1         !  frequency of surface boundary condition computation 
+                           !               (= the frequency of sea-ice model call)
+   ln_ana      = .true.    !  analytical formulation (T => fill namsbc_ana ) 
+   ln_flx      = .false.   !  flux formulation       (T => fill namsbc_flx )
+   ln_blk_clio = .false.   !  CLIO bulk formulation  (T => fill namsbc_clio) 
+   ln_blk_core = .false.   !  CORE bulk formulation  (T => fill namsbc_core) 
+   ln_cpl      = .false.   !  Coupled formulation    (T => fill namsbc_cpl )
+   nn_ice      = 0         !  =0 no ice boundary condition   ,
+                           !  =1 use observed ice-cover      ,
+                           !  =2 ice-model used                             ("key_lim3" or "key_lim2)
+   nn_ico_cpl  = 0         !  ice-ocean coupling : =0 each nn_fsbc 
+                           !                       =1 stresses recomputed each ocean time step ("key_lim3" only)
+                           !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
+   ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
+                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
+                           !                     =2 annual global mean of e-p-r set to zero
+/
+!-----------------------------------------------------------------------
+&namsbc_ana    !   analytical surface boundary condition
+!-----------------------------------------------------------------------
+   nn_tau000   =   100     !  gently increase the stress over the first ntau_rst time-steps
+   rn_utau0    =   0.1e0   !  uniform value for the i-stress
+   rn_vtau0    =   0.e0    !  uniform value for the j-stress
+   rn_q0       =   0.e0    !  uniform value for the total heat flux
+   rn_qsr0     =   0.e0    !  uniform value for the solar radiation
+   rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
+/
+!-----------------------------------------------------------------------
+&namsbc_flx    !   surface boundary condition : flux formulation
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+!
+   cn_dir      = './'      !  root directory for the location of the flux files
+/      
+!-----------------------------------------------------------------------
+&namsbc_clio   !   namsbc_clio  CLIO bulk formulea
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+!
+   cn_dir      = './'      !  root directory for the location of the bulk files are
+/
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulea
+!-----------------------------------------------------------------------
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_wndi     =    'u10_core'      ,       -1.         , 'u10'      ,    .true.      , .true.  ,   'yearly'  ,'bicubic_weights_orca2.nc' ,  'U1'
+   sn_wndj     =    'v10_core'      ,       -1.         , 'v10'      ,    .true.      , .true.  ,   'yearly'  ,'bicubic_weights_orca2.nc' ,  'V1'
+   sn_qsr      =    'qsw_core'      ,       -1.         , 'swdn'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+   sn_qlw      =    'qlw_core'      ,       -1.         , 'lwdn'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+   sn_tair     =    't2_core'       ,       -1.         , 't2'       ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+   sn_humi     =    'q2_core'       ,       -1.         , 'q2'       ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+   sn_prec     =    'precip_core'   ,       -1.         , 'precip'   ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+   sn_snow     =    'snow_core'     ,       -1.         , 'snow'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+!
+   cn_dir      = './'      !  root directory for the location of the bulk files
+   ln_2m       = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namqsr        !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
+   rabs        =   0.58    !  fraction of qsr associated with xsi1
+   xsi1        =   0.35    !  first depth of extinction
+   xsi2        =   23.0    !  second depth of extinction
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_rnf    =   'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,    .true.      , .true.  ,   'yearly'  , ' '      , ' '
+   sn_cnf    =   'runoff_1m_nomask' ,         0.        , 'socoefr'  ,    .false.     , .true.  ,   'yearly'  , ' '      , ' '
+!
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_sst      =    'sst_data'      ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'  , ' '      , ' '
+   sn_sss      =    'sss_data'      ,        -1.        ,  'sss'     ,     .true.     , .false. ,   'yearly'  , ' '      , ' '
+!
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
+   nn_sssr     =     0     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
+   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+/      
+!-----------------------------------------------------------------------
+&namalb        !   albedo parameters
+!-----------------------------------------------------------------------
+   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
+   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
+   alphd       =    0.80   !  coefficients for linear interpolation used to
+   alphc       =    0.65   !  compute albedo between two extremes values 
+   alphdi      =    0.72   !  (Pyane, 1972)
+/
+!!======================================================================
+!!               ***  Lateral boundary condition  ***
+!!======================================================================
+!!   namlbc        lateral momentum boundary condition
+!!   namcla        cross land advection
+!!   namobc        open boundaries parameters                           ("key_obc")
+!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif") 
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   shlat       =    0.     !      shlat = 0 : free slip
+                           !  0 < shlat < 2 : partial slip
+                           !      shlat = 2 : no slip
+                           !  2 < shlat     : strong slip
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   n_cla       =    0      !  advection between 2 ocean pts separates by land
+/
+!-----------------------------------------------------------------------
+&namobc        !   open boundaries parameters                           ("key_obc")
+!-----------------------------------------------------------------------
+    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rdpein     =    1.     !  ???
+    rdpwin     =    1.     !  ???
+    rdpnin     =    1.     !  ???
+    rdpsin     =    1.     !  ???
+    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
+    rdpwob     =   15.     !    "        "             "     west         "
+    rdpnob     = 3000.     !    "        "             "     north        "
+    rdpsob     =   15.     !    "        "             "     south        "
+    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
+    zbsic2     =    1.e+6  !    "                   "        second       "
+    zbsic3     =    0.     !    "                   "        thrid        "
+    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
+    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namagrif      !                                                        ("key_agrif")
+!-----------------------------------------------------------------------
+    nbclineupdate = 3      !  baroclinic update frequency
+    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
+    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
+    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
+!-----------------------------------------------------------------------
+    filtide      = 'bdytide_'           !  file name root of tidal forcing files
+    tide_cpt     = 'M2','S1'            !  names of tidal components used
+    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+/
+!!======================================================================
+!!                 ***  Bottom boundary condition  ***
+!!======================================================================
+!!   nambfr        bottom friction
+!!   nambbc        bottom temperature boundary condition                ("key_trabbc")
+!!   nambbl        bottom boundary layer scheme                         ("key_trabbl_dif","key_trabbl_adv")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nambfr        !   bottom friction
+!-----------------------------------------------------------------------
+   nbotfr      =    2      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+                           !                              = 3 : free slip,  = 1 :    linear friction
+   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
+   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
+   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   ngeo_flux   =    0      !  geothermal heat flux = 0 no flux considered 
+                           !                       = 1 constant flux
+                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!                          !  diffusive bbl                             ("key_trabbl")
+!                          !  advective bbl                             ("key_trabbl_adv")
+   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
+/
+!!======================================================================
+!!                        Tracer (T & S ) namelists
+!!======================================================================
+!!   nameos        equation of state
+!!   nam_traadv    advection scheme
+!!   nam_traldf    lateral diffusion scheme
+!!   namtdp        tracer newtonian damping                             ("key_tradmp")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+   neos        =    2      !  type of equation of state and Brunt-Vaisala frequency
+                           !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
+                           !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
+                           !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
+   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rbeta       =    7.7e-4 !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&nam_traadv    !   advection scheme for tracer 
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_traadv_tvd    =  .true.   !  TVD scheme                
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
+   ln_traadv_ubs    =  .false.  !  UBS scheme                 
+/
+!-----------------------------------------------------------------------
+&nam_traldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !     laplacian operator       
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level                
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   aht0        =  1000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeiv0       =     0.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtdp        !   tracer newtonian damping                             ('key_tradmp')
+!-----------------------------------------------------------------------
+   ndmp        =   -1      !  type of damping in temperature and salinity 
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmp        =   50.     !  surface time scale for internal damping (days)
+   bdmp        =  360.     !  bottom  time scale for internal damping (days)
+   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+/
+!!======================================================================
+!!                      ***  Dynamics namelists  ***
+!!======================================================================
+!!   nam_dynadv    formulation of the momentum advection
+!!   nam_dynvor    advection scheme
+!!   nam_dynhpg    hydrostatic pressure gradient
+!!   namflg        hydrostatic pressure gradient time stepping
+!!   nam_dynspg    surface pressure gradient                            (CPP key only)
+!!   nam_dynldf    lateral diffusion scheme
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nam_dynadv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
+/  
+!-----------------------------------------------------------------------
+&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynvor_ene = .true.  !  enstrophy conserving scheme  
+   ln_dynvor_ens = .false. !  energy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme               
+   ln_dynvor_een = .false. !  energy & enstrophy scheme  
+/
+!-----------------------------------------------------------------------
+&nam_dynhpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zco  = .true.    !  z-coordinate - full steps                   
+   ln_hpg_zps  = .false.   !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
+   ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
+   ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+   ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
+   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
+/
+!-----------------------------------------------------------------------
+&namflg        !   algorithm flags (algorithm not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
+                           !                                 centered      time scheme  (F)
+   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
+/
+!-----------------------------------------------------------------------
+!nam_dynspg    !   surface pressure gradient   (CPP key only)
+!-----------------------------------------------------------------------
+!                          !  explicit free surface                     ("key_dynspg_exp")
+!                          !  filtered free surface                     ("key_dynspg_flt")
+!                          !  split-explicit free surface               ("key_dynspg_ts")
+!                          !  rigid-lid                                 ("key_dynspg_rl")
+
+!-----------------------------------------------------------------------
+&nam_dynldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !     laplacian operator         
+   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
+!                               !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !     iso-level               
+   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
+                                !  Coefficient
+   ahm0    = 100000.            !     horizontal eddy viscosity   [m2/s]
+   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
+/
+!!======================================================================
+!!             Tracers & Dynamics vertical physics namelists
+!!======================================================================
+!!       namzdf        vertical physics
+!!       namnpc        non penetrative convection                       
+!!       namric        richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       namtke        TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
+   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
+   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
+   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
+   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&namnpc        !   non penetrative convection
+!-----------------------------------------------------------------------
+   nnpc1       =    1      !  non penetrative convective scheme computation frequency
+   nnpc2       =  365      !  non penetrative convective scheme print frequency
+/
+!-----------------------------------------------------------------------
+&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   avmri       = 100.e-4   !  maximum value of the vertical viscosity
+   alp         =   5.      !  coefficient of the parameterization
+   nric        =   2       !  coefficient of the parameterization
+/
+!-----------------------------------------------------------------------
+&namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
+   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
+   rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
+   rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
+   rn_ebb      =   3.75    !  coef. of the surface input of tke
+   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
+   rn_emin     =   1.e-5   !  minimum value of tke [m2/s2]
+   rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
+                           !                 = 1 bounded by the local vertical scale factor
+                           !                 = 2 first vertical derivative of mixing length bounded by 1
+                           !                 = 3 same criteria as case 2 but applied in a different way
+   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
+   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
+   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
+   ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
+   rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
+   rn_lmin0    =   0.4     !  surface  buoyancy lenght scale minimum value
+   nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
+                           !        = 0 no penetration ( O(2 km) resolution)
+                           !        = 1 additional tke source 
+                           !        = 2 additional tke source applied only at the base of the mixed layer
+   nn_htau     =   2       !  type of exponential decrease of tke penetration
+                           !        = 0  constant 10 m length scale
+                           !        = 1  ???
+                           !        = 2  ???
+   rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
+   ln_lc       = .false.   !  Langmuir cell effect
+   rn_lc       =   0.15    !  coef. associated to Langmuir cells
+   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
+/
+!------------------------------------------------------------------------
+&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!                                                                         "key_kppcustom" or "key_kpplktb")
+!------------------------------------------------------------------------
+   ln_kpprimix = .true.    !  shear instability mixing 
+   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
+   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
+   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nave        =  1        !  constant (=0) or profile (=1) background on avt
+/
+!-----------------------------------------------------------------------
+&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
+!-----------------------------------------------------------------------
+      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
+!!======================================================================
+!!                  ***  Miscelaneous namelists  ***
+!!======================================================================
+!!   nam_mpp           Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nam_mpp_dyndist   Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
+!!   namctl            Control prints & Benchmark
+!!   namsol            elliptic solver / island / free surface 
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface 
+!-----------------------------------------------------------------------
+   nsolv       =      2    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+                           !                   =2 successive-over-relaxation (sor)
+                           !                   =3 FETI (fet)                               ("key_feti")
+                           !                   =4 sor with extra outer halo
+   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
+   nmin        =    100    !  minimum of iterations for the SOR solver
+   nmax        =    800    !  maximum of iterations for the SOR solver
+   nmod        =     10    !  frequency of test for the SOR solver
+   eps         =  1.e-6    !  absolute precision of the solver
+   resmax      =  1.e-10   !  absolute precision for the SOR solver
+   sor         =  1.96     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+   epsisl      =  1.e-10   !  absolute precision on stream function solver
+   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
+   rnu         =      1.   !  strength of the additional force used in filtered free surface
+/
+!-----------------------------------------------------------------------
+&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+                           !  buffer blocking send or immediate non-blocking sends, resp.
+   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
+!-----------------------------------------------------------------------
+&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni       =    1       !  jpni   number of processors following i
+   jpnj       =    1       !  jpnj   number of processors following j
+   jpnij      =    1       !  jpnij  number of local domains
+/
+!-----------------------------------------------------------------------
+&namctl       !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl     = .false.    !  trends control print (expensive!)
+   nprint     =    0       !  level of print (0 no extra print)
+   nictls     =    0       !  start i indice of control sum (use to compare mono versus
+   nictle     =    0       !  end   i indice of control sum        multi processor runs
+   njctls     =    0       !  start j indice of control               over a subdomain)
+   njctle     =    0       !  end   j indice of control 
+   isplt      =    1       !  number of processors in i-direction
+   jsplt      =    1       !  number of processors in j-direction
+   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+                           !     (no physical validity of the results)
+   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+                           !     of comparison between single and multiple processor runs
+/
+!!======================================================================
+!!                       ***  Diagnostics namelists  ***
+!!======================================================================
+!!   namtrd       dynamics and/or tracer trends                         ("key_trddyn","key_trdtra","key_trdmld")
+!!   namgap       level mean model-data gap                             ("key_diagap")
+!!   namspr       surface pressure diagnosed in rigid-lid               ("key_diaspr")
+!!   namflo       float parameters                                      ("key_float")
+!!   namptr       Poleward Transport Diagnostics
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
+!                          or mixed-layer trends                        ('key_trdmld')
+!                          or barotropic vorticity                      ("key_trdvor")
+!-----------------------------------------------------------------------
+   ntrd       = 365        !  AUTO - time step frequency dynamics and tracers trends
+   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   cn_trdrst_in  = "restart_mld"   ! suffix of ocean restart name (input)
+   cn_trdrst_out = "restart_mld"   ! suffix of ocean restart name (output)
+   ln_trdmld_restart = .false.  !  AUTO - restart for ML diagnostics
+   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+/
+!-----------------------------------------------------------------------
+&namgap       !   level mean model-data gap                             ('key_diagap')
+!-----------------------------------------------------------------------
+   ngap       =  15        !  time-step frequency of model-data gap computation
+   nprg       =  10        !  time-step frequency of gap print in model output
+/
+!-----------------------------------------------------------------------
+&namspr       !   surface pressure diagnostic
+!-----------------------------------------------------------------------
+   nmaxp      =   1000     !  maximum of iterations for the solver
+   epsp       =  1.e-3     !  absolute precision of the solver
+   niterp     =    400     !  number of iteration done by the solver
+/
+!-----------------------------------------------------------------------
+&namflo       !   float parameters                                      ("key_float")
+!-----------------------------------------------------------------------
+    ln_rstflo = .false.    !  float restart (T) or not (F)
+    nwritefl  =      75    !  frequency of writing in float output file 
+    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
+    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+                           !  or computed with Blanke' scheme (F)
+/
+!-----------------------------------------------------------------------
+&namptr       !   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+                           !  (orca configuration only, need input basins mask file named "subbasins.nc"
+   nf_ptr     =  15        !  Frequency of ptr computation [time step]
+/
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_lobster
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_lobster	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_lobster	(revision 1337)
@@ -0,0 +1,155 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! LOBSTER :    1  - biological parameters for phytoplankton    (namlobphy)
+!! namelists    2  - biological parameters for nutrients        (namlobnut)
+!!              3  - biological parameters for zooplankton      (namlobzoo)    
+!!              4  - biological parameters for detritus         (namlobdet)
+!!              5  - biological parameters for DOM              (namlobdom)
+!!              6  - parameters from aphotic layers to sediment (namlobsed)
+!!              7  - general coefficients                       (namlobrat)
+!!              8  - optical parameters                         (namlobopt)
+!!              9  - additional 2D/3D  diagnostics              (namlobdia)
+!!              10 - biological diagnostics trends              (namlobdbi) 
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobphy     !   biological parameters for phytoplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   apmin   =  0.        ! fixed phytoplancton concentration            [mmol/m3]
+   tmumax  =  1.21e-5   ! maximal phytoplankton growth rate            [s-1] 
+   rgamma  =  0.05      ! phytoplankton exudation fraction             [%]
+   fphylab =  0.75      ! NH4 fraction of phytoplankton exsudation     
+   tmmaxp  =  0.0       ! maximal phytoplancton mortality rate         [s-1] 
+   tmminp  =  5.8e-7    ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days] 
+   rcchl   =  60.       ! Carbone/Chlorophyl ratio                     [mgC.mgChla-1]
+   aki     =  33.       ! light photosynthesis half saturation constant[W/m2]
+   toptp   =  0.        ! optimal photosynthesis temperature
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobnut     !   biological parameters for nutrients
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   anmin   =  0.        ! minimum nutrients concentration              [mmol/m3]
+   akno3   =  0.7       ! nitrate limitation half-saturation value     [mmol/m3]
+   aknh4   =  0.001     ! ammonium limitation half-saturation value    [mmol/m3]
+   taunn   =  5.80e-7   ! nitrification rate                           [s-1]  
+   psinut  =  3.        ! inhibition of nitrate uptake by ammonium
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobzoo     !   biological parameters for zooplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   azmin   = 0.         ! minimum zooplancton concentration                      [mmol/m3]
+   eggzoo  = 0.0        ! minimum for zooplankton concentration, egg effect      [mmolN.m-3]
+   rgz     = 0.         ! ivlev coeff for zoo mortality
+   rppz    = 0.8        ! zooplankton nominal preference for phytoplancton food  [%]
+   taus    = 9.26E-6    ! specific zooplankton maximal grazing rate              [s-1] 
+!                       ! 0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
+   aks     = 1.         ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
+   rpnaz   = 0.3        ! non-assimilated phytoplankton by zooplancton           [%]
+   rdnaz   = 0.3        ! non-assimilated detritus by zooplankton                [%] 
+   tauzn   = 8.1e-7     ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days] 
+   fzoolab = 0.5        ! NH4 fraction of zooplankton excretion
+   fdbod   = 0.5        ! zooplankton mortality fraction that goes to detritus
+   tmmaxz  = 0.         ! maximal zooplankton mortality rate
+   tmminz  = 2.31e-6    ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobdet     !   biological parameters for detritus
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   admin   = 0.         ! minimum detritus concentration                 [mmol/m3]
+   taudn   = 5.80e-7    ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
+   fdetlab = 0.         ! NH4 fraction of detritus dissolution           
+   vsed    = 3.47e-5    ! detritus sedimentation speed                   [m/s]
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobdom     !   biological parameters for DOM
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   taudomn = 6.43e-8    ! DOM breakdown rate                             [s-1] 
+!                       ! slow remineralization rate of semi-labile dom to nh4 (1 month)
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobsed     !   parameters from aphotic layers to sediment
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   sedlam     = 3.86e-7 ! time coefficient of POC remineralization in sediments [s-1]
+   sedlostpoc = 0.      ! mass of POC lost in sediments
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobrat     !   general coefficients
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   redf    = 6.56       ! redfield ratio (C:N) for phyto
+   reddom  = 6.56       ! redfield ratio (C:N) for DOM
+   slopet  = 0.         ! van t Hoff "coefficient"
+   tmaxr   = 0.         ! maximal damping coeff under euphotic layer
+   tminr   = 5.80e-7    ! minimal damping coeff under euphotic layer
+   xhr     = -0.858     ! coeff for martin''s remineralisation profile
+   filmax  = 0.         ! ????
+   toptgz  = 0.         ! ???? 
+   tmaxgz  = 0.         ! ???? 
+   anumin  = 0.         ! ???? 
+   afdmin  = 0.         ! ???? 
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobopt     !   optical parameters
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xkg0   = 0.0232     ! green absorption coefficient of water
+   xkr0   = 0.225      ! red absorption coefficent of water
+   xkgp   = 0.074      ! green absorption coefficient of chl
+   xkrp   = 0.037      ! red absorption coefficient of chl
+   xlg    = 0.674      ! green chl exposant for absorption
+   xlr    = 0.629      ! red chl exposant for absorption
+   rpig   = 0.7        ! chla/chla+pheo ratio
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobdia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nwritedia    =  360    !  AUTO -time step frequency for tracers diagnostics
+!
+!              !    name   ! title of   ! units !
+!              !           ! the field  !       !  
+   lobdia2d(1)   = 'TNO3PHY' , 'TNO3PHY',  '-'
+   lobdia2d(2)   = 'TNH4PHY' , 'TNH4PHY',  '-'
+   lobdia2d(3)   = 'TPHYDOM' , 'TPHYDOM',  '-'
+   lobdia2d(4)   = 'TPHYNH4' , 'TPHYNH4',  '-'
+   lobdia2d(5)   = 'TPHYZOO' , 'TPHYZOO',  '-'
+   lobdia2d(6)   = 'TPHYDET' , 'TPHYDET',  '-'
+   lobdia2d(7)   = 'TDETZOO' , 'TDETZOO',  '-'
+   lobdia2d(8)   = 'TDETSED' , 'TDETSED',  '-'
+   lobdia2d(9)   = 'TZOODET' , 'TZOODET',  '-'
+   lobdia2d(10)  = 'TZOOBOD' , 'TZOOBOD',  '-'
+   lobdia2d(11)  = 'TZOONH4' , 'TZOONH4',  '-'
+   lobdia2d(12)  = 'TZOODOM' , 'TZOODOM',  '-'
+   lobdia2d(13)  = 'TNH4NO3' , 'TNH4NO3',  '-'
+   lobdia2d(14)  = 'TDOMNH4' , 'TDOMNH4',  '-'
+   lobdia2d(15)  = 'TDETNH4' , 'TDETNH4',  '-'
+   lobdia2d(16)  = 'TPHYTOT' , 'TPHYTOT',  '-'
+   lobdia2d(17)  = 'TZOOTOT' , 'TZOOTOT',  '-'
+   lobdia2d(18)  = 'TDETDOM' , 'TDETDOM',  '-'
+   lobdia2d(19)  = 'SEDPOC ' , 'SEDPOC ',  '-'
+   lobdia3d(1)   = 'FNO3PHY' , 'FNO3PHY',  '-'
+   lobdia3d(2)   = 'FNH4PHY' , 'FNH4PHY',  '-'
+   lobdia3d(3)   = 'FNH4NO3' , 'FNH4NO3',  '-'
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namlobdbi     !   biological diagnostics trends     
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!                !  3D bio diagnostics   units : mmole/m3/s   ("key_trc_diabio")
+!                !  2D bio diagnostics   units : mmole/m2/s   ("key_trdmld_trc")
+
+   nwritebio    =   4320    !  AUTO - time step frequency for biological outputs
+!
+!                !  name    !       title of the field      !     units      !
+   lobdiabio(1)  = 'NO3PHY' , 'Flux from NO3 to PHY          ',  'mmole/m3/s'
+   lobdiabio(2)  = 'NH4PHY' , 'Flux from NH4 to PHY          ',  'mmole/m3/s'
+   lobdiabio(3)  = 'PHYNH4' , 'Flux from PHY to NH4          ',  'mmole/m3/s'
+   lobdiabio(4)  = 'PHYDOM' , 'Flux from PHY to DOM          ',  'mmole/m3/s'
+   lobdiabio(5)  = 'PHYZOO' , 'Flux from PHY to ZOO          ',  'mmole/m3/s'
+   lobdiabio(6)  = 'PHYDET' , 'Flux from PHY to DET          ',  'mmole/m3/s'
+   lobdiabio(7)  = 'DETZOO' , 'Flux from DET to ZOO          ',  'mmole/m3/s'
+   lobdiabio(8)  = 'DETSED' , 'Flux from DET to SED          ',  'mmole/m3/s'
+   lobdiabio(9)  = 'ZOODET' , 'Flux from ZOO to DET          ',  'mmole/m3/s'
+   lobdiabio(10)  = 'ZOOBOD' , 'Zooplankton closure          ',  'mmole/m3/s'
+   lobdiabio(11)  = 'ZOONH4' , 'Flux from ZOO to NH4         ',  'mmole/m3/s'
+   lobdiabio(12)  = 'ZOODOM' , 'Flux from ZOO to DOM         ',  'mmole/m3/s'
+   lobdiabio(13)  = 'NH4NO3' , 'Flux from NH4 to NO3         ',  'mmole/m3/s'
+   lobdiabio(14)  = 'DOMNH4' , 'Flux from DOM to NH4         ',  'mmole/m3/s'
+   lobdiabio(15)  = 'DETNH4' , 'Flux from DET to NH4         ',  'mmole/m3/s'
+   lobdiabio(16)  = 'DETDOM' , 'Flux from DET to DOM         ',  'mmole/m3/s'
+   lobdiabio(17)  = 'SEDNO3' , 'NO3 remineralization from SED',  'mmole/m3/s'
+/
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_top
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_top	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/PARAM/namelist_top	(revision 1337)
@@ -0,0 +1,107 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtoptrc)
+!! namelists    2 - dynamical tracer trends               (namtoptrd)
+!!              6 - tracer advection                      (namtopadv)
+!!              7 - tracer bottom boundary                (namtopbbl)
+!!              8 - tracer lateral diffusion              (namtopldf)
+!!              3 - tracer vertical physics               (namtopzdf)
+!!              9 - tracer newtonian damping              (namtopdmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtoptrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ndttrc      =  1        !  time step frequency for passive tracers      
+   nwritetrc   = 360       !  AUTO - time step frequency for tracer outputs
+   lrsttr      = .false.   !  AUTO - start from a restart file (T) or not (F)
+   nrsttr      =   0       !  AUTO - restart control = 0 initial time step is not compared to the restart file value
+                           !                  = 1 do not use the value in the restart file
+                           !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. tracer restart name (output)
+!
+!              ! name  !     title of the field       !   units       ! initial data ! save   !
+!              !       !                              !               ! from file    ! or not ! 
+!              !       !                              !               ! or not       !        !
+   tracer(1)   = 'DET' , 'Detritus                   ',  'mmole-N/m3' ,  .false.     ,  .true.
+   tracer(2)   = 'ZOO' , 'Zooplankton concentration  ',  'mmole-N/m3' ,  .false.     ,  .true.
+   tracer(3)   = 'PHY' , 'Phytoplankton concentration',  'mmole-N/m3' ,  .false.     ,  .true.
+   tracer(4)   = 'NO3' , 'Nitrate concentration      ',  'mmole-N/m3' ,  .false.     ,  .true.
+   tracer(5)   = 'NH4' , 'Ammonium concentration     ',  'mmole-N/m3' ,  .false.     ,  .true.
+   tracer(6)   = 'DOM' , 'Dissolved organic matter   ',  'mmole-N/m3' ,  .false.     ,  .true.
+/
+!-----------------------------------------------------------------------
+&namtopadv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd    =  .true.  !  TVD scheme   
+   ln_trcadv_muscl  =  .false.   !  MUSCL scheme
+   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_smolar =  .false.  !  SMOLAR scheme
+   rsc              =  1.       !  tuning coefficient for Smolar. scheme 
+   ncortrc          =  1        !  number of corrective phases for Smolar. scheme 
+   crosster         =  .false.  !  computes Smolar crossterms (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopbbl    !   bottom boundary layer scheme for passive tracer 
+!-----------------------------------------------------------------------
+   atrcbbl          = 1000.     !  lateral mixing coefficient in the bbl  [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtopldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   ahtrc0      =   300.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtrb0      =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeivtr0     =  1000.         !     eddy induced velocity coefficient [m2/s]    (require "key_trcldf_eiv")
+   trcrat      =  1.            !  ratio betweeen passive and active tracer diffusion coeff
+/
+!-----------------------------------------------------------------------
+&namtopzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_trczdf_exp    =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtoprad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopdmp        !   passive tracer newtonian damping                 ('key_trcdmp')
+!-----------------------------------------------------------------------
+   ndmptr      =   20      !  type of damping in passive tracers
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmptr=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpftr     =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmptr    =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmptr      =   50.     !  surface time scale for internal damping (days)
+   bdmptr      =  360.     !  bottom  time scale for internal damping (days)
+   hdmptr      =  800.     !  depth of transition between sdmptr and bdmptr (meters)
+/
+!-----------------------------------------------------------------------
+&namtoptrd       !   diagnostics on tracer trends
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   ntrd_trc   =  360      !  AUTO - time step frequency and tracers trends
+   nctls_trc  =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf_trc    =  86400    !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false.  !  AUTO - restart for ML diagnostics
+   ln_trdmld_trc_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   luttrd(1)  =   .true.
+   luttrd(2)  =   .true.
+   luttrd(3)  =   .true.
+   luttrd(4)  =   .true.
+   luttrd(5)  =   .true.
+   luttrd(6)  =   .true.
+/
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/README
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/README	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/README	(revision 1337)
@@ -0,0 +1,20 @@
+config.card
+GYRE_LOBSTER
+10 years
+trunk of 1 year
+
+config.card.trends
+GYRE_LOBSTER
+10 years
+trunk of 1 year
+with trends (need a recompilation with key_trdmld and key_trdmld_trc activated)
+
+Benchmark  configuration
+
+How to use it in mpp mode?
+
+How to increase the size of the domain?
+
+Tested on NEC SX-8 brodie at IDRIS and on NEC SX-8R mercure at CCRT.
+march 2009
+
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card	(revision 1337)
@@ -0,0 +1,128 @@
+#
+# This is config.card file for NEMO GYRE_LOBSTER configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=GL1
+LongName="GYRE_LOBSTER"
+TagName=GYRE_LOBSTER
+#============================
+#-- leap, noleap, 360d
+CalendarType=360d
+#-- Début et fin de Job
+#-- "YYYY-MM-DD"
+DateBegin=2000-01-01
+DateEnd=2009-12-30
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+#-- PBS Class (required on brodie mono/multi)
+JobClass=mono
+#JobClass=multi
+#============================
+#-- Total Number of Processors
+#JobNumProcTot=4
+#============================
+#-- Run Options : 
+JobRunOptions=''
+#JobRunOptions='"-np "${BATCH_NUM_PROC_TOT}"'
+#============================
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+OCE= (gyre, NEMO_v3_1)
+TOP= (lobster, LOBSTER)
+#D- TRENDS component required only for trends output
+###TRENDS= (trends, TRENDS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=gyre
+#D- For each component, Real name of executable
+OCE= (opa, gyre)
+TOP= ("", "")
+#D- TRENDS component required only for trends output
+###TRENDS= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=2051-12-30
+#D- Define restart simulation name
+RestartJobName=B1D
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+#D- BETA FEATURE
+RebuildFrequency=NONE
+#D- Do we rebuild parallel output from archive
+#D- BETA FEATURE
+RebuildFromArchive=false
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=10Y
+
+#========================================================================
+#D-- OCE -
+[OCE]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- TOP -
+[TOP]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+
+#D-- TRENDS -
+[TRENDS]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
Index: /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card.trends
===================================================================
--- /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card.trends	(revision 1337)
+++ /branches/libIGCM/GYRE_LOBSTER/IGCM00/config.card.trends	(revision 1337)
@@ -0,0 +1,128 @@
+#
+# This is config.card file for NEMO GYRE_LOBSTER with trends configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=GL1T
+LongName="GYRE_LOBSTER with trends (dyn and top)"
+TagName=GYRE_LOBSTER
+#============================
+#-- leap, noleap, 360d
+CalendarType=360d
+#-- Début et fin de Job
+#-- "YYYY-MM-DD"
+DateBegin=2000-01-01
+DateEnd=2009-12-30
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+#-- PBS Class (required on brodie mono/multi)
+JobClass=mono
+#JobClass=multi
+#============================
+#-- Total Number of Processors
+#JobNumProcTot=4
+#============================
+#-- Run Options : 
+JobRunOptions=''
+#JobRunOptions='"-np "${BATCH_NUM_PROC_TOT}"'
+#============================
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+OCE= (gyre, NEMO_v3_1)
+TOP= (lobster, LOBSTER)
+#D- TRENDS component required only for trends output
+TRENDS= (trends, TRENDS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=gyre
+#D- For each component, Real name of executable
+OCE= (opa, gyre)
+TOP= ("", "")
+#D- TRENDS component required only for trends output
+TRENDS= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=2051-12-30
+#D- Define restart simulation name
+RestartJobName=B1D
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+#D- BETA FEATURE
+RebuildFrequency=NONE
+#D- Do we rebuild parallel output from archive
+#D- BETA FEATURE
+RebuildFromArchive=false
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=10Y
+
+#========================================================================
+#D-- OCE -
+[OCE]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- TOP -
+[TOP]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+
+#D-- TRENDS -
+[TRENDS]
+WriteFrequency="1M"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2051-10-30
+# Define restart simulation name
+RestartJobName=B1C
+RestartPath=${ARCHIVE}/IGCM_OUT/GYRE_LOBSTER
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
